***********************************************************************
*** Table A1: Panel unit roots test ***
***********************************************************************

clear all 
use "$dataPath\Data"
do "$codePath\Transforming_variables"

***************************
*** The unbalanced case *** 
***************************
*** Im-Pesaran-Shin (2003) test *** 

* Credit variables 
xtunitroot ips dlogreal_pcredit, lags(aic 8) demean
xtunitroot ips dlogreal_hcredit, lags(aic 8) demean
xtunitroot ips dlogreal_nfecredit, lags(aic 8) demean
xtunitroot ips dpcredit_gdp, lags(aic 8) demean
xtunitroot ips dhcredit_gdp, lags(aic 8) demean
xtunitroot ips dnfecredit_gdp, lags(aic 8) demean
xtunitroot ips pcredit_gdp_gap, lags(aic 8) 
xtunitroot ips hcredit_gdp_gap, lags(aic 8) 
xtunitroot ips nfecredit_gdp_gap, lags(aic 8) 

* House price variables
xtunitroot ips dlogreal_hp, lags(aic 8) demean
xtunitroot ips dhp_disp_inc, lags(aic 8) demean
xtunitroot ips hp_inc_gap, lags(aic 8) demean  

* Macro-variables 
xtunitroot ips dlogrGDP, lags(aic 8) 
xtunitroot ips gdp_gap, lags(aic 8) 

* Banking sector variables 
xtunitroot ips dwholesale_assets, lags(aic 8) 
xtunitroot ips equity_assets, lags(aic 8) 
xtunitroot ips wholesale_gap, lags(aic 8) 

*** Fisher-type test *** 			   

* Credit variables 
xtunitroot fisher dlogreal_pcredit,  dfuller  lags(7)
xtunitroot fisher dlogreal_hcredit, dfuller lags(7) 
xtunitroot fisher dlogreal_nfecredit, dfuller lags(6) 
xtunitroot fisher dpcredit_gdp, dfuller lags(8) 
xtunitroot fisher dhcredit_gdp, dfuller lags(7) 
xtunitroot fisher dnfecredit_gdp, dfuller lags(6) 
xtunitroot fisher pcredit_gdp_gap, dfuller lags(5) 
xtunitroot fisher hcredit_gdp_gap, dfuller lags(4)
xtunitroot fisher nfecredit_gdp_gap, dfuller lags(3) 

* House price variables
xtunitroot fisher dlogreal_hp, dfuller lags(6) 
xtunitroot fisher dhp_disp_inc, dfuller lags(6) 
xtunitroot fisher hp_inc_gap, dfuller lags(4)   

* Macro-variables 
xtunitroot fisher dlogrGDP, dfuller lags(8) 
xtunitroot fisher gdp_gap, dfuller lags(5)  

* Banking sector variables 
xtunitroot fisher equity_assets, dfuller lags(5) 
xtunitroot fisher wholesale_gap, dfuller lags(3) 
xtunitroot fisher dwholesale_assets, dfuller lags(4) 
